﻿using Syncfusion.SfImageEditor.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageEditorSample
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void ToolbarSettings_ToolbarItemSelected(object sender, ToolbarItemSelectedEventArgs e)
        {
            var footertoolBar = e.ToolbarItem;
            if (footertoolBar != null)
            {
                if (footertoolBar.Name == "threshold")
                {
                    this.ThresholdFilterSlider.IsVisible = !this.ThresholdFilterSlider.IsVisible;
                }
            }
        }

        private void ThresholdFilterSlider_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            // Your action here.
        }
    }

    class ImageModel
    {
        public ImageSource Image { get; set; }

        public ImageModel()
        {
            Assembly assembly = typeof(ImageModel).GetTypeInfo().Assembly;
            Image = ImageSource.FromResource("ImageEditorSample.Image.jpeg", assembly);
        }
    }
}
